Bug 1202796 - podofo package needs source update for epel7 ppc64le/aarch64
Summary: podofo package needs source update for epel7 ppc64le/aarch64
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: podofo
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: epel7aarch64 epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-03-17 13:08 UTC by Menanteau Guy
Modified: 2015-12-10 10:28 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-10 10:28:39 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2015-03-17 13:08:04 UTC
Source package podofo-0.9.1-12 used by EPEL7 does not support ppc64le (little endian)
A newer version supporting this architecture should be used instead.

Typical problem in spec of 0.9.1-12 old version:
%build
%cmake -DPODOFO_BUILD_SHARED=1 \
%ifarch x86_64 ppc64 s390x sparc64
-DWANT_LIB64=1 \
%endif

ppc64le is not set in %ifarch statement.

Comment 1 Yaakov Selkowitz 2015-11-26 01:18:39 UTC
Same for aarch64.  A simple merge from master is probably the best way to fix this.

Comment 2 Fedora Update System 2015-12-07 00:20:00 UTC
podofo-0.9.1-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3e228f4037

Comment 3 Fedora Update System 2015-12-08 07:21:50 UTC
podofo-0.9.1-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update podofo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3e228f4037

Comment 4 Fedora Update System 2015-12-10 10:28:38 UTC
podofo-0.9.1-17.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.